Bug 60791 - RFE: ISDN Support fur Eicon Diva cards
Summary: RFE: ISDN Support fur Eicon Diva cards
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-06 19:36 UTC by Andreas Thienemann
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 19:36:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2002-03-06 19:36:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I'd like to see support for the Eicon Diva cards in the stock kernel. Similar 
to the AVM-B1 driver, which is default.

Version-Release number of selected component (if applicable): 2.4.9-31


How reproducible:
Always

Steps to Reproduce:
1. modprobe eicon
2.
3.
	

Actual Results:  modprobe: Can't locate module eicon

Expected Results:  an installed eicon module

Additional info:

Applying the following patch in /usr/src/redhat/SOURCES yields the expected 
(hoped for) results.

# cd /usr/src/redhat/SOURCES && for i in `ls kernel-2.4.9-*.config`; do patch 
$i eicon-isdn.patch; done


# cat eicon-isdn.patch
--- kernel-2.4.9-i386.config	Mon Feb 25 17:52:42 2002
+++ /root/isdn.config	Wed Mar  6 20:03:34 2002
@@ -855,7 +855,11 @@
 CONFIG_ISDN_DRV_PCBIT=m
 # CONFIG_ISDN_DRV_SC is not set
 # CONFIG_ISDN_DRV_ACT2000 is not set
-# CONFIG_ISDN_DRV_EICON is not set
+CONFIG_ISDN_DRV_EICON=y
+# CONFIG_ISDN_DRV_EICON_DIVAS is not set
+CONFIG_ISDN_DRV_EICON_OLD=m
+CONFIG_ISDN_DRV_EICON_PCI=y
+# CONFIG_ISDN_DRV_EICON_ISA is not set
 CONFIG_ISDN_CAPI=m
 CONFIG_ISDN_DRV_AVMB1_VERBOSE_REASON=y
 CONFIG_ISDN_CAPI_MIDDLEWARE=y

Comment 1 Arjan van de Ven 2002-03-08 15:57:46 UTC
Makes sense. Done for the next build.
Thanks for the suggestion!


Note You need to log in before you can comment on or make changes to this bug.